from typing import List

from pydantic import BaseModel


class Product(BaseModel):
    """Product."""

    id: int
    name: str
    calories: float
    protein: float
    carb: float
    fat: float
    fiber: float
    barcode: str | None

    class Config:
        from_attributes = True


class CreateProductPayload(BaseModel):
    """ProductCreatePayload."""

    name: str
    protein: float
    carb: float
    fat: float
    fiber: float


class ListProductPayload(BaseModel):
    """ProductListPayload."""

    products: List[Product]
